package com.zd.netty.service;

import com.zd.system.api.laboratory.domain.RemoteLabHardware;

/**
 * @author Administrator
 */
public interface IFridService {
    /**
     * 启动RFID扫描器
     * @param hardware 设备数据
     */
    void start(RemoteLabHardware hardware);

    /**
     * 关闭RFID扫描器
     * @param hardware  设备数据
     */
    void stop(RemoteLabHardware hardware);

    /**
     * 启动警报
     * @param hardware 设备数据
     * @return boolean
     */
    boolean alarm(RemoteLabHardware hardware);
}
